Index: binaries/data/mods/public/simulation/components/%UnitAI.js
===================================================================
--- binaries/data/mods/public/simulation/components/%UnitAI.js	(revision 15170)
+++ binaries/data/mods/public/simulation/components/%UnitAI.js	(working copy)
@@ -4946,64 +4284,6 @@
 };
 
 /**
- * Adds gather order to the queue, forced by the player 
- * until the target is reached 
- */
-UnitAI.prototype.Gather = function(target, queued)
-{
-	this.PerformGather(target, queued, true);
-};
-
-/**
- * Internal function to abstract the force parameter.
- */
-UnitAI.prototype.PerformGather = function(target, queued, force)
-{
-	if (!this.CanGather(target))
-	{
-		this.WalkToTarget(target, queued);
-		return;
-	}
-
-	// Save the resource type now, so if the resource gets destroyed
-	// before we process the order then we still know what resource
-	// type to look for more of
-	var cmpResourceSupply = Engine.QueryInterface(target, IID_ResourceSupply);
-	var type = cmpResourceSupply.GetType();
-
-	// Also save the target entity's template, so that if it's an animal,
-	// we won't go from hunting slow safe animals to dangerous fast ones
-	var cmpTemplateManager = Engine.QueryInterface(SYSTEM_ENTITY, IID_TemplateManager);
-	var template = cmpTemplateManager.GetCurrentTemplateName(target);
-
-	// Remove "resource|" prefix from template name, if present.
-	if (template.indexOf("resource|") != -1)
-		template = template.slice(9);
-
-	// Remember the position of our target, if any, in case it disappears
-	// later and we want to head to its last known position
-	var lastPos = undefined;
-	var cmpPosition = Engine.QueryInterface(target, IID_Position);
-	if (cmpPosition && cmpPosition.IsInWorld())
-		lastPos = cmpPosition.GetPosition();
-
-	this.AddOrder("Gather", { "target": target, "type": type, "template": template, "lastPos": lastPos, "force": force }, queued);
-};
-
-/**
- * Adds gather-near-position order to the queue, not forced, so it can be
- * interrupted by attacks.
- */
-UnitAI.prototype.GatherNearPosition = function(x, z, type, template, queued)
-{
-	// Remove "resource|" prefix from template name, if present.
-	if (template.indexOf("resource|") != -1)
-		template = template.slice(9);
-
-	this.AddOrder("GatherNearPosition", { "type": type, "template": template, "x": x, "z": z, "force": false }, queued);
-};
-
-/**
  * Adds heal order to the queue, forced by the player.
  */
 UnitAI.prototype.Heal = function(target, queued)
@@ -5018,20 +4298,6 @@
 };
 
 /**
- * Adds return resource order to the queue, forced by the player.
- */
-UnitAI.prototype.ReturnResource = function(target, queued)
-{
-	if (!this.CanReturnResource(target, true))
-	{
-		this.WalkToTarget(target, queued);
-		return;
-	}
-
-	this.AddOrder("ReturnResource", { "target": target, "force": true }, queued);
-};
-
-/**
  * Adds trade order to the queue. Either walk to the first market, or
  * start a new route. Not forced, so it can be interrupted by attacks.
  * The possible route may be given directly as a SetupTradeRoute argument
@@ -5504,35 +4770,6 @@
 	return true;
 };
 
-UnitAI.prototype.CanGather = function(target)
-{
-	// The target must be a valid resource supply.
-	var cmpResourceSupply = Engine.QueryInterface(target, IID_ResourceSupply);
-	if (!cmpResourceSupply)
-		return false;
-
-	// Formation controllers should always respond to commands
-	// (then the individual units can make up their own minds)
-	if (this.IsFormationController())
-		return true;
-
-	// Verify that we're able to respond to Gather commands
-	var cmpResourceGatherer = Engine.QueryInterface(this.entity, IID_ResourceGatherer);
-	if (!cmpResourceGatherer)
-		return false;
-
-	// Verify that we can gather from this target
-	if (!cmpResourceGatherer.GetTargetGatherRate(target))
-		return false;
-
-	// No need to verify ownership as we should be able to gather from
-	// a target regardless of ownership.
-	// No need to call "cmpResourceSupply.IsAvailable()" either because that
-	// would cause units to walk to full entities instead of choosing another one
-	// nearby to gather from, which is undesirable.
-	return true;
-};
-
 UnitAI.prototype.CanHeal = function(target)
 {
 	// Formation controllers should always respond to commands
@@ -5586,40 +4823,6 @@
 	return true;
 };
 
-UnitAI.prototype.CanReturnResource = function(target, checkCarriedResource)
-{
-	// Formation controllers should always respond to commands
-	// (then the individual units can make up their own minds)
-	if (this.IsFormationController())
-		return true;
-
-	// Verify that we're able to respond to ReturnResource commands
-	var cmpResourceGatherer = Engine.QueryInterface(this.entity, IID_ResourceGatherer);
-	if (!cmpResourceGatherer)
-		return false;
-
-	// Verify that the target is a dropsite
-	var cmpResourceDropsite = Engine.QueryInterface(target, IID_ResourceDropsite);
-	if (!cmpResourceDropsite)
-		return false;
-
-	if (checkCarriedResource)
-	{
-		// Verify that we are carrying some resources,
-		// and can return our current resource to this target
-		var type = cmpResourceGatherer.GetMainCarryingType();
-		if (!type || !cmpResourceDropsite.AcceptsType(type))
-			return false;
-	}
-
-	// Verify that the dropsite is owned by this entity's player
-	var cmpOwnership = Engine.QueryInterface(this.entity, IID_Ownership);
-	if (!cmpOwnership || !IsOwnedByPlayer(cmpOwnership.GetOwner(), target))
-		return false;
-
-	return true;
-};
-
 UnitAI.prototype.CanTrade = function(target)
 {
 	// Formation controllers should always respond to commands
